﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CreateDownloadLink.aspx.cs" Inherits="NetLinkTrackerDemoWebforms.CreateDownloadLink" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    
    <h1>Create Download Link</h1>

    <div runat="server" id="MessageDiv" role="alert" visible="false"></div>

    <div runat="server" id="main" class="form-horizontal">
        <div class="form-group">
            <asp:Label runat="server" AssociatedControlID="fileData" Text="File" 
                CssClass="col-sm-2 control-label" />
            <div class="col-sm-4">
                <asp:FileUpload ID="fileData" CssClass="form-control" runat="server" />
            </div>
            <div class="col-sm-4">
                <asp:RequiredFieldValidator CssClass="text-danger" ID="fileDataValidator" ControlToValidate="fileData" runat="server" ErrorMessage="File is required"></asp:RequiredFieldValidator>
            </div>
        </div>
        <div class="form-group">
            <asp:Label runat="server" AssociatedControlID="txtExpirationDays" Text="Expiration Days" 
                CssClass="col-sm-2 control-label" />
            <div class="col-sm-4">
                <asp:TextBox ID="txtExpirationDays" CssClass="form-control" runat="server"></asp:TextBox>
            </div>
            <div class="col-sm-4">
                <asp:RequiredFieldValidator CssClass="text-danger" ID="expirationDaysRequired" ControlToValidate="txtExpirationDays" runat="server" ErrorMessage="Expiration Days is required"></asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator CssClass="text-danger" ID="expirationDaysValidator" runat="server" ErrorMessage="Please enter a valid Number" ValidationExpression="^\d+$" ControlToValidate="txtExpirationDays"></asp:RegularExpressionValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <asp:Button ID="btnSubmit" runat="server" Text="Create" CssClass="btn btn-primary" OnClick="btnSubmit_OnClick" />
            </div>
        </div>
    </div>

</asp:Content>
