﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CreateLink.aspx.cs" Inherits="NetLinkTrackerDemoWebforms.CreateLink" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    
    <h1>Create URL Link</h1>

    <div runat="server" id="MessageDiv" role="alert" visible="false"></div>

    <div runat="server" id="main" class="form-horizontal">
        <div class="form-group">
            <asp:Label runat="server" AssociatedControlID="txtUrl" Text="URL" 
                CssClass="col-sm-2 control-label" />
            <div class="col-sm-4">
                <asp:TextBox ID="txtUrl" CssClass="form-control" runat="server"></asp:TextBox>
            </div>
            <div class="col-sm-4">
                <asp:RegularExpressionValidator CssClass="text-danger" ID="urlValidator" runat="server" ErrorMessage="Please enter a valid URL beginning with http or https" ValidationExpression="^(https?://)(www\d*.)(([!#$&amp;-;-\[\]_a-z~]|%[0-9a-fA-F]{2})+)(\??([!#$&amp;-;=-\[\]_a-z~]|%[0-9a-fA-F]{2})+)?$" ControlToValidate="txtUrl"></asp:RegularExpressionValidator>
            </div>
        </div>
        <div class="form-group">
            <asp:Label runat="server" AssociatedControlID="txtExpirationDays" Text="Expiration Days" 
                CssClass="col-sm-2 control-label" />
            <div class="col-sm-4">
                <asp:TextBox ID="txtExpirationDays" CssClass="form-control" runat="server"></asp:TextBox>
            </div>
            <div class="col-sm-4">
                <asp:RequiredFieldValidator CssClass="text-danger" ID="expirationDaysRequired" ControlToValidate="txtExpirationDays" runat="server" ErrorMessage="Expiration Days is required"></asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator CssClass="text-danger" ID="expirationDaysValidator" runat="server" ErrorMessage="Please enter a valid Number" ValidationExpression="^\d+$" ControlToValidate="txtExpirationDays"></asp:RegularExpressionValidator>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <asp:Button ID="btnSubmit" runat="server" Text="Create" CssClass="btn btn-primary" OnClick="btnSubmit_OnClick" />
            </div>
        </div>
    </div>

</asp:Content>
