﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ReviewLinks.aspx.cs" Inherits="NetLinkTrackerDemoWebforms.ReviewLinks" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    
    <h1>List of Links</h1>

    <div runat="server" id="MessageDiv" role="alert" visible="false"></div>

    <div runat="server" id="main" class="form-horizontal">
        <div class="form-group">
            <div class="col-sm-12">
                <asp:GridView ID="grdResult" runat="server" AutoGenerateColumns="False" EnableViewState="False">
                    <columns>
                         <asp:hyperlinkfield headertext="Link Guid"
                            datatextfield="LinkGuid"
                            DataNavigateUrlFields="LinkGuid"
                            datanavigateurlformatstring="~\LinkHandler?LinkID={0}" />
                        <asp:boundfield datafield="FilePathOrUrl" headertext="URL or File Path"/>
                        <asp:boundfield datafield="ExpirationDate" headertext="Expiration Date"/>
                        <asp:boundfield datafield="FirstRequest" headertext="First Request"/>
                        <asp:boundfield datafield="LastRequest" headertext="Last Request"/>
                        <asp:boundfield datafield="RequestCount" headertext="Request Count"/>
                        <asp:boundfield datafield="IpAddressCount" headertext="IP Address Count"/>
                    </columns>
                </asp:GridView>
            </div>
        </div>
    </div>

</asp:Content>
