﻿using KellermanSoftware.NetDataAccessLayer;
using KellermanSoftware.NetLinkTracker;

namespace NetLinkTrackerDemoMVC
{
    public static class DataLayer
    {
        public static void CheckSetup()
        {
            IDataHelper db = DataHelper.SessionFactory();

            if (!db.DatabaseExists())
            {
                db.CreateDatabase();

                LinkLogic linkLogic = new LinkLogic();
                linkLogic.DatabaseLogic.Setup();
            }
        }
    }
}