﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace NetLinkTrackerDemoMVC.Models
{
    public class CreateDownloadLinkViewModel
    {
        public string FileName { get; set; }
        public byte[] Data { get; set; }

        [Range(1, 1000)]
        [Required(ErrorMessage = "Expiration Days is required")]
        [DisplayName("Expiration Days")]
        public int ExpirationDays { get; set; }

        public string CreatedLink { get; set; }
    }
}