﻿using KellermanSoftware.NetDataAccessLayer;
using KellermanSoftware.NetLinkTracker;

namespace NetLinkTrackerDemoWebforms
{
    public static class DataLayer
    {
        private static bool _isSetup = false;

        public static void CheckSetup()
        {
            IDataHelper db = DataHelper.SessionFactory();

            if (!_isSetup)
            {
                _isSetup = true;

                if (!db.DatabaseExists())
                {
                    db.CreateDatabase();
                }

                LinkLogic linkLogic = new LinkLogic();
                linkLogic.DatabaseLogic.Setup();
            }

        }
    }
}